// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.18.1
// source: vseth/vis/machine/machine.proto

package machine

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type StreamUpdatesRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *StreamUpdatesRequest) Reset() {
	*x = StreamUpdatesRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_machine_machine_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *StreamUpdatesRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*StreamUpdatesRequest) ProtoMessage() {}

func (x *StreamUpdatesRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_machine_machine_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use StreamUpdatesRequest.ProtoReflect.Descriptor instead.
func (*StreamUpdatesRequest) Descriptor() ([]byte, []int) {
	return file_vseth_vis_machine_machine_proto_rawDescGZIP(), []int{0}
}

// CardScanProgressUpdate can be used to estimate card scanning progress.
type CardScanProgressUpdate struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// chars_read is the number of characters sent by the RFID reader since the
	// last CardScanProgressUpdate
	CharsRead int32 `protobuf:"varint,1,opt,name=chars_read,json=charsRead,proto3" json:"chars_read,omitempty"`
}

func (x *CardScanProgressUpdate) Reset() {
	*x = CardScanProgressUpdate{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_machine_machine_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CardScanProgressUpdate) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CardScanProgressUpdate) ProtoMessage() {}

func (x *CardScanProgressUpdate) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_machine_machine_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CardScanProgressUpdate.ProtoReflect.Descriptor instead.
func (*CardScanProgressUpdate) Descriptor() ([]byte, []int) {
	return file_vseth_vis_machine_machine_proto_rawDescGZIP(), []int{1}
}

func (x *CardScanProgressUpdate) GetCharsRead() int32 {
	if x != nil {
		return x.CharsRead
	}
	return 0
}

// CardScanSuccessUpdate is sent when a card with a valid ETH RFID number is
// scanned. This does not imply that the card is known to any authorization
// system. CardScanProgressUpdate messages may still be sent (even for the same
// card) after CardScanSuccessUpdate.
type CardScanSuccessUpdate struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	RfidNumber int32 `protobuf:"varint,1,opt,name=rfid_number,json=rfidNumber,proto3" json:"rfid_number,omitempty"`
}

func (x *CardScanSuccessUpdate) Reset() {
	*x = CardScanSuccessUpdate{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_machine_machine_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CardScanSuccessUpdate) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CardScanSuccessUpdate) ProtoMessage() {}

func (x *CardScanSuccessUpdate) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_machine_machine_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CardScanSuccessUpdate.ProtoReflect.Descriptor instead.
func (*CardScanSuccessUpdate) Descriptor() ([]byte, []int) {
	return file_vseth_vis_machine_machine_proto_rawDescGZIP(), []int{2}
}

func (x *CardScanSuccessUpdate) GetRfidNumber() int32 {
	if x != nil {
		return x.RfidNumber
	}
	return 0
}

// CanDispenseUpdate is sent when the combined CanDispense call completes
type CanDispenseUpdate struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	HasCredit bool `protobuf:"varint,1,opt,name=has_credit,json=hasCredit,proto3" json:"has_credit,omitempty"`
}

func (x *CanDispenseUpdate) Reset() {
	*x = CanDispenseUpdate{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_machine_machine_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CanDispenseUpdate) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CanDispenseUpdate) ProtoMessage() {}

func (x *CanDispenseUpdate) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_machine_machine_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CanDispenseUpdate.ProtoReflect.Descriptor instead.
func (*CanDispenseUpdate) Descriptor() ([]byte, []int) {
	return file_vseth_vis_machine_machine_proto_rawDescGZIP(), []int{3}
}

func (x *CanDispenseUpdate) GetHasCredit() bool {
	if x != nil {
		return x.HasCredit
	}
	return false
}

// RecordDispensedUpdate is sent when the combined RecordDispensed call
// completes
type RecordDispensedUpdate struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *RecordDispensedUpdate) Reset() {
	*x = RecordDispensedUpdate{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_machine_machine_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RecordDispensedUpdate) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RecordDispensedUpdate) ProtoMessage() {}

func (x *RecordDispensedUpdate) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_machine_machine_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RecordDispensedUpdate.ProtoReflect.Descriptor instead.
func (*RecordDispensedUpdate) Descriptor() ([]byte, []int) {
	return file_vseth_vis_machine_machine_proto_rawDescGZIP(), []int{4}
}

// CreditUpdate is sent when the available credit (according to the state
// machine) changes for any reason. It is sent even when other credit related
// updates are also sent.
type CreditUpdate struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	HasCredit bool `protobuf:"varint,1,opt,name=has_credit,json=hasCredit,proto3" json:"has_credit,omitempty"`
}

func (x *CreditUpdate) Reset() {
	*x = CreditUpdate{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_machine_machine_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreditUpdate) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreditUpdate) ProtoMessage() {}

func (x *CreditUpdate) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_machine_machine_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreditUpdate.ProtoReflect.Descriptor instead.
func (*CreditUpdate) Descriptor() ([]byte, []int) {
	return file_vseth_vis_machine_machine_proto_rawDescGZIP(), []int{5}
}

func (x *CreditUpdate) GetHasCredit() bool {
	if x != nil {
		return x.HasCredit
	}
	return false
}

// AmpelUpdate is sent whenever the state of the Ampel is polled.
// It specifies the policy decision which is currently being applied by the
// coffee machine, even if that decision is not based on the latest Ampel
// response (which may have been an error).
type AmpelUpdate struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ShouldBlock bool `protobuf:"varint,1,opt,name=should_block,json=shouldBlock,proto3" json:"should_block,omitempty"`
}

func (x *AmpelUpdate) Reset() {
	*x = AmpelUpdate{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_machine_machine_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *AmpelUpdate) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AmpelUpdate) ProtoMessage() {}

func (x *AmpelUpdate) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_machine_machine_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AmpelUpdate.ProtoReflect.Descriptor instead.
func (*AmpelUpdate) Descriptor() ([]byte, []int) {
	return file_vseth_vis_machine_machine_proto_rawDescGZIP(), []int{6}
}

func (x *AmpelUpdate) GetShouldBlock() bool {
	if x != nil {
		return x.ShouldBlock
	}
	return false
}

// @@experimental by vis till 24.09.2023
type TimeoutUpdate struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	TimeoutUntil uint64 `protobuf:"varint,1,opt,name=timeout_until,json=timeoutUntil,proto3" json:"timeout_until,omitempty"`
}

func (x *TimeoutUpdate) Reset() {
	*x = TimeoutUpdate{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_machine_machine_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *TimeoutUpdate) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TimeoutUpdate) ProtoMessage() {}

func (x *TimeoutUpdate) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_machine_machine_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TimeoutUpdate.ProtoReflect.Descriptor instead.
func (*TimeoutUpdate) Descriptor() ([]byte, []int) {
	return file_vseth_vis_machine_machine_proto_rawDescGZIP(), []int{7}
}

func (x *TimeoutUpdate) GetTimeoutUntil() uint64 {
	if x != nil {
		return x.TimeoutUntil
	}
	return 0
}

type Update struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Types that are assignable to UpdateOneof:
	//	*Update_CardScanProgressUpdate
	//	*Update_CardScanSuccessUpdate
	//	*Update_CanDispenseUpdate
	//	*Update_RecordDispensedUpdate
	//	*Update_CreditUpdate
	//	*Update_AmpelUpdate
	//	*Update_TimeoutUpdate
	UpdateOneof isUpdate_UpdateOneof `protobuf_oneof:"update_oneof"`
}

func (x *Update) Reset() {
	*x = Update{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_machine_machine_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Update) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Update) ProtoMessage() {}

func (x *Update) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_machine_machine_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Update.ProtoReflect.Descriptor instead.
func (*Update) Descriptor() ([]byte, []int) {
	return file_vseth_vis_machine_machine_proto_rawDescGZIP(), []int{8}
}

func (m *Update) GetUpdateOneof() isUpdate_UpdateOneof {
	if m != nil {
		return m.UpdateOneof
	}
	return nil
}

func (x *Update) GetCardScanProgressUpdate() *CardScanProgressUpdate {
	if x, ok := x.GetUpdateOneof().(*Update_CardScanProgressUpdate); ok {
		return x.CardScanProgressUpdate
	}
	return nil
}

func (x *Update) GetCardScanSuccessUpdate() *CardScanSuccessUpdate {
	if x, ok := x.GetUpdateOneof().(*Update_CardScanSuccessUpdate); ok {
		return x.CardScanSuccessUpdate
	}
	return nil
}

func (x *Update) GetCanDispenseUpdate() *CanDispenseUpdate {
	if x, ok := x.GetUpdateOneof().(*Update_CanDispenseUpdate); ok {
		return x.CanDispenseUpdate
	}
	return nil
}

func (x *Update) GetRecordDispensedUpdate() *RecordDispensedUpdate {
	if x, ok := x.GetUpdateOneof().(*Update_RecordDispensedUpdate); ok {
		return x.RecordDispensedUpdate
	}
	return nil
}

func (x *Update) GetCreditUpdate() *CreditUpdate {
	if x, ok := x.GetUpdateOneof().(*Update_CreditUpdate); ok {
		return x.CreditUpdate
	}
	return nil
}

func (x *Update) GetAmpelUpdate() *AmpelUpdate {
	if x, ok := x.GetUpdateOneof().(*Update_AmpelUpdate); ok {
		return x.AmpelUpdate
	}
	return nil
}

func (x *Update) GetTimeoutUpdate() *TimeoutUpdate {
	if x, ok := x.GetUpdateOneof().(*Update_TimeoutUpdate); ok {
		return x.TimeoutUpdate
	}
	return nil
}

type isUpdate_UpdateOneof interface {
	isUpdate_UpdateOneof()
}

type Update_CardScanProgressUpdate struct {
	CardScanProgressUpdate *CardScanProgressUpdate `protobuf:"bytes,1,opt,name=card_scan_progress_update,json=cardScanProgressUpdate,proto3,oneof"`
}

type Update_CardScanSuccessUpdate struct {
	CardScanSuccessUpdate *CardScanSuccessUpdate `protobuf:"bytes,3,opt,name=card_scan_success_update,json=cardScanSuccessUpdate,proto3,oneof"`
}

type Update_CanDispenseUpdate struct {
	CanDispenseUpdate *CanDispenseUpdate `protobuf:"bytes,4,opt,name=can_dispense_update,json=canDispenseUpdate,proto3,oneof"`
}

type Update_RecordDispensedUpdate struct {
	RecordDispensedUpdate *RecordDispensedUpdate `protobuf:"bytes,5,opt,name=record_dispensed_update,json=recordDispensedUpdate,proto3,oneof"`
}

type Update_CreditUpdate struct {
	CreditUpdate *CreditUpdate `protobuf:"bytes,2,opt,name=credit_update,json=creditUpdate,proto3,oneof"`
}

type Update_AmpelUpdate struct {
	AmpelUpdate *AmpelUpdate `protobuf:"bytes,6,opt,name=ampel_update,json=ampelUpdate,proto3,oneof"`
}

type Update_TimeoutUpdate struct {
	// @@experimental by vis till 24.09.2023
	TimeoutUpdate *TimeoutUpdate `protobuf:"bytes,7,opt,name=timeout_update,json=timeoutUpdate,proto3,oneof"`
}

func (*Update_CardScanProgressUpdate) isUpdate_UpdateOneof() {}

func (*Update_CardScanSuccessUpdate) isUpdate_UpdateOneof() {}

func (*Update_CanDispenseUpdate) isUpdate_UpdateOneof() {}

func (*Update_RecordDispensedUpdate) isUpdate_UpdateOneof() {}

func (*Update_CreditUpdate) isUpdate_UpdateOneof() {}

func (*Update_AmpelUpdate) isUpdate_UpdateOneof() {}

func (*Update_TimeoutUpdate) isUpdate_UpdateOneof() {}

var File_vseth_vis_machine_machine_proto protoreflect.FileDescriptor

var file_vseth_vis_machine_machine_proto_rawDesc = []byte{
	0x0a, 0x1f, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2f, 0x76, 0x69, 0x73, 0x2f, 0x6d, 0x61, 0x63, 0x68,
	0x69, 0x6e, 0x65, 0x2f, 0x6d, 0x61, 0x63, 0x68, 0x69, 0x6e, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x12, 0x11, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x6d, 0x61, 0x63,
	0x68, 0x69, 0x6e, 0x65, 0x22, 0x16, 0x0a, 0x14, 0x53, 0x74, 0x72, 0x65, 0x61, 0x6d, 0x55, 0x70,
	0x64, 0x61, 0x74, 0x65, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x22, 0x37, 0x0a, 0x16,
	0x43, 0x61, 0x72, 0x64, 0x53, 0x63, 0x61, 0x6e, 0x50, 0x72, 0x6f, 0x67, 0x72, 0x65, 0x73, 0x73,
	0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x12, 0x1d, 0x0a, 0x0a, 0x63, 0x68, 0x61, 0x72, 0x73, 0x5f,
	0x72, 0x65, 0x61, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x05, 0x52, 0x09, 0x63, 0x68, 0x61, 0x72,
	0x73, 0x52, 0x65, 0x61, 0x64, 0x22, 0x38, 0x0a, 0x15, 0x43, 0x61, 0x72, 0x64, 0x53, 0x63, 0x61,
	0x6e, 0x53, 0x75, 0x63, 0x63, 0x65, 0x73, 0x73, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x12, 0x1f,
	0x0a, 0x0b, 0x72, 0x66, 0x69, 0x64, 0x5f, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x05, 0x52, 0x0a, 0x72, 0x66, 0x69, 0x64, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x22,
	0x32, 0x0a, 0x11, 0x43, 0x61, 0x6e, 0x44, 0x69, 0x73, 0x70, 0x65, 0x6e, 0x73, 0x65, 0x55, 0x70,
	0x64, 0x61, 0x74, 0x65, 0x12, 0x1d, 0x0a, 0x0a, 0x68, 0x61, 0x73, 0x5f, 0x63, 0x72, 0x65, 0x64,
	0x69, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x08, 0x52, 0x09, 0x68, 0x61, 0x73, 0x43, 0x72, 0x65,
	0x64, 0x69, 0x74, 0x22, 0x17, 0x0a, 0x15, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x44, 0x69, 0x73,
	0x70, 0x65, 0x6e, 0x73, 0x65, 0x64, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x22, 0x2d, 0x0a, 0x0c,
	0x43, 0x72, 0x65, 0x64, 0x69, 0x74, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x12, 0x1d, 0x0a, 0x0a,
	0x68, 0x61, 0x73, 0x5f, 0x63, 0x72, 0x65, 0x64, 0x69, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x08,
	0x52, 0x09, 0x68, 0x61, 0x73, 0x43, 0x72, 0x65, 0x64, 0x69, 0x74, 0x22, 0x30, 0x0a, 0x0b, 0x41,
	0x6d, 0x70, 0x65, 0x6c, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x12, 0x21, 0x0a, 0x0c, 0x73, 0x68,
	0x6f, 0x75, 0x6c, 0x64, 0x5f, 0x62, 0x6c, 0x6f, 0x63, 0x6b, 0x18, 0x01, 0x20, 0x01, 0x28, 0x08,
	0x52, 0x0b, 0x73, 0x68, 0x6f, 0x75, 0x6c, 0x64, 0x42, 0x6c, 0x6f, 0x63, 0x6b, 0x22, 0x34, 0x0a,
	0x0d, 0x54, 0x69, 0x6d, 0x65, 0x6f, 0x75, 0x74, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x12, 0x23,
	0x0a, 0x0d, 0x74, 0x69, 0x6d, 0x65, 0x6f, 0x75, 0x74, 0x5f, 0x75, 0x6e, 0x74, 0x69, 0x6c, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x04, 0x52, 0x0c, 0x74, 0x69, 0x6d, 0x65, 0x6f, 0x75, 0x74, 0x55, 0x6e,
	0x74, 0x69, 0x6c, 0x22, 0xf9, 0x04, 0x0a, 0x06, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x12, 0x66,
	0x0a, 0x19, 0x63, 0x61, 0x72, 0x64, 0x5f, 0x73, 0x63, 0x61, 0x6e, 0x5f, 0x70, 0x72, 0x6f, 0x67,
	0x72, 0x65, 0x73, 0x73, 0x5f, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x29, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x6d, 0x61,
	0x63, 0x68, 0x69, 0x6e, 0x65, 0x2e, 0x43, 0x61, 0x72, 0x64, 0x53, 0x63, 0x61, 0x6e, 0x50, 0x72,
	0x6f, 0x67, 0x72, 0x65, 0x73, 0x73, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x48, 0x00, 0x52, 0x16,
	0x63, 0x61, 0x72, 0x64, 0x53, 0x63, 0x61, 0x6e, 0x50, 0x72, 0x6f, 0x67, 0x72, 0x65, 0x73, 0x73,
	0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x12, 0x63, 0x0a, 0x18, 0x63, 0x61, 0x72, 0x64, 0x5f, 0x73,
	0x63, 0x61, 0x6e, 0x5f, 0x73, 0x75, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x75, 0x70, 0x64, 0x61,
	0x74, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x28, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68,
	0x2e, 0x76, 0x69, 0x73, 0x2e, 0x6d, 0x61, 0x63, 0x68, 0x69, 0x6e, 0x65, 0x2e, 0x43, 0x61, 0x72,
	0x64, 0x53, 0x63, 0x61, 0x6e, 0x53, 0x75, 0x63, 0x63, 0x65, 0x73, 0x73, 0x55, 0x70, 0x64, 0x61,
	0x74, 0x65, 0x48, 0x00, 0x52, 0x15, 0x63, 0x61, 0x72, 0x64, 0x53, 0x63, 0x61, 0x6e, 0x53, 0x75,
	0x63, 0x63, 0x65, 0x73, 0x73, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x12, 0x56, 0x0a, 0x13, 0x63,
	0x61, 0x6e, 0x5f, 0x64, 0x69, 0x73, 0x70, 0x65, 0x6e, 0x73, 0x65, 0x5f, 0x75, 0x70, 0x64, 0x61,
	0x74, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x24, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68,
	0x2e, 0x76, 0x69, 0x73, 0x2e, 0x6d, 0x61, 0x63, 0x68, 0x69, 0x6e, 0x65, 0x2e, 0x43, 0x61, 0x6e,
	0x44, 0x69, 0x73, 0x70, 0x65, 0x6e, 0x73, 0x65, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x48, 0x00,
	0x52, 0x11, 0x63, 0x61, 0x6e, 0x44, 0x69, 0x73, 0x70, 0x65, 0x6e, 0x73, 0x65, 0x55, 0x70, 0x64,
	0x61, 0x74, 0x65, 0x12, 0x62, 0x0a, 0x17, 0x72, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x5f, 0x64, 0x69,
	0x73, 0x70, 0x65, 0x6e, 0x73, 0x65, 0x64, 0x5f, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x18, 0x05,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x28, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73,
	0x2e, 0x6d, 0x61, 0x63, 0x68, 0x69, 0x6e, 0x65, 0x2e, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x44,
	0x69, 0x73, 0x70, 0x65, 0x6e, 0x73, 0x65, 0x64, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x48, 0x00,
	0x52, 0x15, 0x72, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x44, 0x69, 0x73, 0x70, 0x65, 0x6e, 0x73, 0x65,
	0x64, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x12, 0x46, 0x0a, 0x0d, 0x63, 0x72, 0x65, 0x64, 0x69,
	0x74, 0x5f, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1f,
	0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x6d, 0x61, 0x63, 0x68, 0x69,
	0x6e, 0x65, 0x2e, 0x43, 0x72, 0x65, 0x64, 0x69, 0x74, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x48,
	0x00, 0x52, 0x0c, 0x63, 0x72, 0x65, 0x64, 0x69, 0x74, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x12,
	0x43, 0x0a, 0x0c, 0x61, 0x6d, 0x70, 0x65, 0x6c, 0x5f, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x18,
	0x06, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1e, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69,
	0x73, 0x2e, 0x6d, 0x61, 0x63, 0x68, 0x69, 0x6e, 0x65, 0x2e, 0x41, 0x6d, 0x70, 0x65, 0x6c, 0x55,
	0x70, 0x64, 0x61, 0x74, 0x65, 0x48, 0x00, 0x52, 0x0b, 0x61, 0x6d, 0x70, 0x65, 0x6c, 0x55, 0x70,
	0x64, 0x61, 0x74, 0x65, 0x12, 0x49, 0x0a, 0x0e, 0x74, 0x69, 0x6d, 0x65, 0x6f, 0x75, 0x74, 0x5f,
	0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x18, 0x07, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x20, 0x2e, 0x76,
	0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x6d, 0x61, 0x63, 0x68, 0x69, 0x6e, 0x65,
	0x2e, 0x54, 0x69, 0x6d, 0x65, 0x6f, 0x75, 0x74, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x48, 0x00,
	0x52, 0x0d, 0x74, 0x69, 0x6d, 0x65, 0x6f, 0x75, 0x74, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x42,
	0x0e, 0x0a, 0x0c, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x5f, 0x6f, 0x6e, 0x65, 0x6f, 0x66, 0x32,
	0x60, 0x0a, 0x07, 0x4d, 0x61, 0x63, 0x68, 0x69, 0x6e, 0x65, 0x12, 0x55, 0x0a, 0x0d, 0x53, 0x74,
	0x72, 0x65, 0x61, 0x6d, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x73, 0x12, 0x27, 0x2e, 0x76, 0x73,
	0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x6d, 0x61, 0x63, 0x68, 0x69, 0x6e, 0x65, 0x2e,
	0x53, 0x74, 0x72, 0x65, 0x61, 0x6d, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x73, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x19, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73,
	0x2e, 0x6d, 0x61, 0x63, 0x68, 0x69, 0x6e, 0x65, 0x2e, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x30,
	0x01, 0x42, 0x62, 0x0a, 0x14, 0x63, 0x68, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69,
	0x73, 0x2e, 0x6d, 0x61, 0x63, 0x68, 0x69, 0x6e, 0x65, 0x5a, 0x4a, 0x67, 0x69, 0x74, 0x6c, 0x61,
	0x62, 0x2e, 0x65, 0x74, 0x68, 0x7a, 0x2e, 0x63, 0x68, 0x2f, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2f,
	0x30, 0x34, 0x30, 0x33, 0x2d, 0x69, 0x73, 0x67, 0x2f, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x69,
	0x65, 0x73, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x74, 0x75, 0x62, 0x2d, 0x67, 0x6f, 0x6c,
	0x61, 0x6e, 0x67, 0x2f, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2f, 0x76, 0x69, 0x73, 0x2f, 0x6d, 0x61,
	0x63, 0x68, 0x69, 0x6e, 0x65, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_vseth_vis_machine_machine_proto_rawDescOnce sync.Once
	file_vseth_vis_machine_machine_proto_rawDescData = file_vseth_vis_machine_machine_proto_rawDesc
)

func file_vseth_vis_machine_machine_proto_rawDescGZIP() []byte {
	file_vseth_vis_machine_machine_proto_rawDescOnce.Do(func() {
		file_vseth_vis_machine_machine_proto_rawDescData = protoimpl.X.CompressGZIP(file_vseth_vis_machine_machine_proto_rawDescData)
	})
	return file_vseth_vis_machine_machine_proto_rawDescData
}

var file_vseth_vis_machine_machine_proto_msgTypes = make([]protoimpl.MessageInfo, 9)
var file_vseth_vis_machine_machine_proto_goTypes = []interface{}{
	(*StreamUpdatesRequest)(nil),   // 0: vseth.vis.machine.StreamUpdatesRequest
	(*CardScanProgressUpdate)(nil), // 1: vseth.vis.machine.CardScanProgressUpdate
	(*CardScanSuccessUpdate)(nil),  // 2: vseth.vis.machine.CardScanSuccessUpdate
	(*CanDispenseUpdate)(nil),      // 3: vseth.vis.machine.CanDispenseUpdate
	(*RecordDispensedUpdate)(nil),  // 4: vseth.vis.machine.RecordDispensedUpdate
	(*CreditUpdate)(nil),           // 5: vseth.vis.machine.CreditUpdate
	(*AmpelUpdate)(nil),            // 6: vseth.vis.machine.AmpelUpdate
	(*TimeoutUpdate)(nil),          // 7: vseth.vis.machine.TimeoutUpdate
	(*Update)(nil),                 // 8: vseth.vis.machine.Update
}
var file_vseth_vis_machine_machine_proto_depIdxs = []int32{
	1, // 0: vseth.vis.machine.Update.card_scan_progress_update:type_name -> vseth.vis.machine.CardScanProgressUpdate
	2, // 1: vseth.vis.machine.Update.card_scan_success_update:type_name -> vseth.vis.machine.CardScanSuccessUpdate
	3, // 2: vseth.vis.machine.Update.can_dispense_update:type_name -> vseth.vis.machine.CanDispenseUpdate
	4, // 3: vseth.vis.machine.Update.record_dispensed_update:type_name -> vseth.vis.machine.RecordDispensedUpdate
	5, // 4: vseth.vis.machine.Update.credit_update:type_name -> vseth.vis.machine.CreditUpdate
	6, // 5: vseth.vis.machine.Update.ampel_update:type_name -> vseth.vis.machine.AmpelUpdate
	7, // 6: vseth.vis.machine.Update.timeout_update:type_name -> vseth.vis.machine.TimeoutUpdate
	0, // 7: vseth.vis.machine.Machine.StreamUpdates:input_type -> vseth.vis.machine.StreamUpdatesRequest
	8, // 8: vseth.vis.machine.Machine.StreamUpdates:output_type -> vseth.vis.machine.Update
	8, // [8:9] is the sub-list for method output_type
	7, // [7:8] is the sub-list for method input_type
	7, // [7:7] is the sub-list for extension type_name
	7, // [7:7] is the sub-list for extension extendee
	0, // [0:7] is the sub-list for field type_name
}

func init() { file_vseth_vis_machine_machine_proto_init() }
func file_vseth_vis_machine_machine_proto_init() {
	if File_vseth_vis_machine_machine_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_vseth_vis_machine_machine_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*StreamUpdatesRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_machine_machine_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CardScanProgressUpdate); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_machine_machine_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CardScanSuccessUpdate); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_machine_machine_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CanDispenseUpdate); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_machine_machine_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RecordDispensedUpdate); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_machine_machine_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreditUpdate); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_machine_machine_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*AmpelUpdate); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_machine_machine_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*TimeoutUpdate); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_machine_machine_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Update); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_vseth_vis_machine_machine_proto_msgTypes[8].OneofWrappers = []interface{}{
		(*Update_CardScanProgressUpdate)(nil),
		(*Update_CardScanSuccessUpdate)(nil),
		(*Update_CanDispenseUpdate)(nil),
		(*Update_RecordDispensedUpdate)(nil),
		(*Update_CreditUpdate)(nil),
		(*Update_AmpelUpdate)(nil),
		(*Update_TimeoutUpdate)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_vseth_vis_machine_machine_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   9,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_vseth_vis_machine_machine_proto_goTypes,
		DependencyIndexes: file_vseth_vis_machine_machine_proto_depIdxs,
		MessageInfos:      file_vseth_vis_machine_machine_proto_msgTypes,
	}.Build()
	File_vseth_vis_machine_machine_proto = out.File
	file_vseth_vis_machine_machine_proto_rawDesc = nil
	file_vseth_vis_machine_machine_proto_goTypes = nil
	file_vseth_vis_machine_machine_proto_depIdxs = nil
}
